﻿using System;
using System.Collections.Generic;
using System.Data.Services;
using System.Data.Services.Common;
using System.Linq;
using System.ServiceModel.Web;
using System.Web;
using DevExpress.Xpo.Services;
using Types;
using DevExpress.Data.Services;

namespace ODataService {
  [ConnectionString("Orders")]
  public class Orders : XpoDataService {
    public static void InitializeService(DataServiceConfiguration config) {
      config.SetEntitySetAccessRule("*", EntitySetRights.AllRead);
      config.DataServiceBehavior.MaxProtocolVersion = DataServiceProtocolVersion.V2;
    }

    protected override void RegisterEntities( ) {
      RegisterEntity(typeof(Product));
      RegisterEntity(typeof(OrderLine));

      base.RegisterEntities( );
    }
  }
}